Supercheck LogoSupercheck
Notifications API

Get notification provider details

Retrieve configuration details of a notification provider.

GET
/api/notification-providers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

In: header

Path Parameters

id*string

Notification provider ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://demo.supercheck.dev/api/notification-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "type": "email",
  "enabled": true,
  "config": {},
  "lastUsed": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}